## congruity 15

=== Makefile ===
RUN_UPDATE_DESKTOP_DB ?= 1

DESTDIR ?=
PREFIX  ?= /usr/local

BINDIR      ?= $(PREFIX)/bin
SHAREDIR    ?= $(PREFIX)/share
APPSHAREDIR ?= $(SHAREDIR)/congruity
DESKTOPDIR  ?= $(SHAREDIR)/applications
MANDIR      ?= $(SHAREDIR)/man
MAN1DIR     ?= $(MANDIR)/man1

INSTALL ?= install
UPDATE_DESKTOP_DB ?= update-desktop-database

all:
	@echo "Nothing to build, run 'make install' as root"

install:
	mkdir -p --mode=755 $(DESTDIR)$(BINDIR)
	sed -e "s:/usr/share/congruity:${APPSHAREDIR}:" < congruity > congruity.patched
	$(INSTALL) --mode=755 congruity.patched $(DESTDIR)$(BINDIR)/congruity
	rm -f congruity.patched
	mkdir -p --mode=755 $(DESTDIR)$(APPSHAREDIR)
	$(INSTALL) --mode=644 *.png $(DESTDIR)$(APPSHAREDIR)
	mkdir -p --mode=755 $(DESTDIR)$(MAN1DIR)
	$(INSTALL) --mode=644 congruity.1 $(DESTDIR)$(MAN1DIR)
	mkdir -p --mode=755 $(DESTDIR)$(DESKTOPDIR)
	$(INSTALL) --mode=644 congruity.desktop $(DESTDIR)$(DESKTOPDIR)
ifeq ($(RUN_UPDATE_DESKTOP_DB),1)
	$(UPDATE_DESKTOP_DB) > /dev/null 2>&1 || :
endif

uninstall:
	/bin/rm -f $(DESTDIR)$(BINDIR)/congruity
	/bin/rm -rf $(DESTDIR)$(APPSHAREDIR)
	/bin/rm -f $(DESTDIR)$(MAN1DIR)/congruity.1
	/bin/rm -f $(DESTDIR)$(DESKTOPDIR)/congruity.desktop
ifeq ($(RUN_UPDATE_DESKTOP_DB),1)
	$(UPDATE_DESKTOP_DB) > /dev/null 2>&1 || :
endif

## congruity 13+dfsg

=== debian/changelog ===
congruity (13+dfsg-1) unstable; urgency=low

  * Initial package (closes: #512599)
  * Software was repackaged from tar.bz2, to tar.gz
  * Remove remote.png to comply to DFSG, provide replacement image.

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Thu, 12 Nov 2009 11:18:12 -0500

=== debian/control ===
Source: congruity
Section: utils
Priority: optional
Maintainer: Mathieu Trudel <mathieu.tl@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.3
Homepage: http://sourceforge.net/projects/congruity/

Package: congruity
Architecture: all
Depends: python, python (>= 2.5) | python-ctypes,
	python-libconcord,
	python-wxgtk2.8,
	${misc:Depends}
Description: graphical utility to configure Logitech Harmony remotes
 Congruity is a graphical utility written in Python that handles writing
 the configuration of a Harmony Remote, using the concordance framework.
 .
 It provides a concise way to quickly configure a Logitech Harmony
 in a clean graphical interface, through the loading of EZHex files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )

export UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}')

get-orig-source:
	cd ${DEBIAN_DIR} && \
		set -e; \
		wget http://qa.debian.org/watch/sf.php/congruity/congruity-${UPSTREAM_VERSION}.tar.bz2 -O ${CURDIR}/congruity-${UPSTREAM_VERSION}.tar.bz2 && \
		tar -xjf ${CURDIR}/congruity-${UPSTREAM_VERSION}.tar.bz2 -C . && \
		rm congruity-${UPSTREAM_VERSION}/remote.png && \
		tar -czf ${CURDIR}/congruity_${UPSTREAM_VERSION}+dfsg.orig.tar.gz congruity-${UPSTREAM_VERSION} --strip-components 2 && \
		rm -r congruity-${UPSTREAM_VERSION} ${CURDIR}/congruity-${UPSTREAM_VERSION}.tar.bz2

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean
	if [ -f remote.png ]; then rm -v remote.png; fi

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cp debian/remote.png $(CURDIR)
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/congruity install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installman -vi congruity.1
	dh_installdocs -vi
	dh_installchangelogs -vi Changelog
	dh_compress -vi
	dh_fixperms -vi
	dh_installdeb -vi
	dh_gencontrol -vi
	dh_md5sums -vi
	dh_builddeb -vi

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: get-orig-source build clean binary-indep binary-arch binary install configure

## congruity 14

=== debian/changelog ===
congruity (14-1) unstable; urgency=low

  * New upstream release 14.
  * No longer need dfsg changes for the remote.png image with unknown source,
    it's been replaced upstream.
    - delete debian/remote.png
    - update debian/rules
    - update debian/source/include-binaries
  * Bump Standards-Version to 3.8.4

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Tue, 27 Apr 2010 17:02:47 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mathieu Trudel <mathieu.tl@gmail.com>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://sourceforge.net/projects/congruity/
 
 Package: congruity

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )

export UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}')

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/congruity install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installman -vi congruity.1
	dh_installdocs -vi
	dh_installchangelogs -vi Changelog
	dh_compress -vi
	dh_fixperms -vi
	dh_installdeb -vi
	dh_gencontrol -vi
	dh_md5sums -vi
	dh_builddeb -vi

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: get-orig-source build clean binary-indep binary-arch binary install configure

## congruity 15

=== debian/changelog ===
congruity (15-1) unstable; urgency=low

  * Resynchronize with Ubuntu: new upstream release 15.
  * debian/control: update Maintainer field with my correct full name to match
    my new GPG key.
  * debian/control: bump Standards-Version to 3.9.1.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Wed, 30 Mar 2011 17:01:31 -0400

congruity (15-0ubuntu1) maverick; urgency=low

  [ Mario Limonciello ]
  * Depends on shared-mime-info.
  * Create and associate mimetypes for congruity.

  [ Mathieu Trudel-Lapierre ]
  * New upstream release 15.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 Aug 2010 22:46:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: congruity
 Section: utils
 Priority: optional
-Maintainer: Mathieu Trudel <mathieu.tl@gmail.com>
+Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://sourceforge.net/projects/congruity/
 
 Package: congruity
@@ -11,6 +11,7 @@
 Depends: python, python (>= 2.5) | python-ctypes,
 	python-libconcord,
 	python-wxgtk2.8,
+	shared-mime-info,
 	${misc:Depends}
 Description: graphical utility to configure Logitech Harmony remotes
  Congruity is a graphical utility written in Python that handles writing

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
+	dh_installmime
 	dh_installman -vi congruity.1
 	dh_installdocs -vi
 	dh_installchangelogs -vi Changelog

## congruity 17

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,16 @@
 	sed -e "s:/usr/share/congruity:${APPSHAREDIR}:" < congruity > congruity.patched
 	$(INSTALL) --mode=755 congruity.patched $(DESTDIR)$(BINDIR)/congruity
 	rm -f congruity.patched
+	sed -e "s:/usr/share/congruity:${APPSHAREDIR}:" < mhgui > mhgui.patched
+	$(INSTALL) --mode=755 mhgui.patched $(DESTDIR)$(BINDIR)/mhgui
+	rm -f mhgui.patched
 	mkdir -p --mode=755 $(DESTDIR)$(APPSHAREDIR)
 	$(INSTALL) --mode=644 *.png $(DESTDIR)$(APPSHAREDIR)
+	$(INSTALL) --mode=644 harmony.wsdl $(DESTDIR)$(APPSHAREDIR)
+	$(INSTALL) --mode=644 *.xsd $(DESTDIR)$(APPSHAREDIR)
+	sed -e "s:/usr/share/congruity:${APPSHAREDIR}:" < mhmanager.py > mhmanager.py.patched
+	$(INSTALL) --mode=644 mhmanager.py.patched $(DESTDIR)$(APPSHAREDIR)/mhmanager.py
+	rm -f mhmanager.py.patched
 	mkdir -p --mode=755 $(DESTDIR)$(MAN1DIR)
 	$(INSTALL) --mode=644 congruity.1 $(DESTDIR)$(MAN1DIR)
 	mkdir -p --mode=755 $(DESTDIR)$(DESKTOPDIR)
@@ -33,6 +41,7 @@
 
 uninstall:
 	/bin/rm -f $(DESTDIR)$(BINDIR)/congruity
+	/bin/rm -f $(DESTDIR)$(BINDIR)/mhgui
 	/bin/rm -rf $(DESTDIR)$(APPSHAREDIR)
 	/bin/rm -f $(DESTDIR)$(MAN1DIR)/congruity.1
 	/bin/rm -f $(DESTDIR)$(DESKTOPDIR)/congruity.desktop

=== debian/changelog ===
congruity (17-1) unstable; urgency=low

  [ Scott Talbert ]
  * New upstream release (Closes: #712424, #584896)

  [ Mathieu Trudel-Lapierre ]
  * debian/control: bump debhelper Build-Depends to 9.
  * debian/compat: bump to compat level 9.
  * debian/rules: update / modernize to use dh sequencer.
  * debian/control: update Standards-Version to 3.9.4.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Mon, 05 Aug 2013 19:02:09 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/projects/congruity/
 
 Package: congruity
 Architecture: all
 Depends: python, python (>= 2.5) | python-ctypes,
-	python-libconcord,
+	python-libconcord (>= 1.0),
+	python-suds,
 	python-wxgtk2.8,
 	shared-mime-info,
 	${misc:Depends}

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/congruity/congruity-(.*)\.tar\.bz2

## congruity 18

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	$(INSTALL) --mode=755 mhgui.patched $(DESTDIR)$(BINDIR)/mhgui
 	rm -f mhgui.patched
 	mkdir -p --mode=755 $(DESTDIR)$(APPSHAREDIR)
+	$(INSTALL) --mode=644 *.gif $(DESTDIR)$(APPSHAREDIR)
 	$(INSTALL) --mode=644 *.png $(DESTDIR)$(APPSHAREDIR)
 	$(INSTALL) --mode=644 harmony.wsdl $(DESTDIR)$(APPSHAREDIR)
 	$(INSTALL) --mode=644 *.xsd $(DESTDIR)$(APPSHAREDIR)
@@ -33,8 +34,10 @@
 	rm -f mhmanager.py.patched
 	mkdir -p --mode=755 $(DESTDIR)$(MAN1DIR)
 	$(INSTALL) --mode=644 congruity.1 $(DESTDIR)$(MAN1DIR)
+	$(INSTALL) --mode=644 mhgui.1 $(DESTDIR)$(MAN1DIR)
 	mkdir -p --mode=755 $(DESTDIR)$(DESKTOPDIR)
 	$(INSTALL) --mode=644 congruity.desktop $(DESTDIR)$(DESKTOPDIR)
+	$(INSTALL) --mode=644 mhgui.desktop $(DESTDIR)$(DESKTOPDIR)
 ifeq ($(RUN_UPDATE_DESKTOP_DB),1)
 	$(UPDATE_DESKTOP_DB) > /dev/null 2>&1 || :
 endif
@@ -44,7 +47,9 @@
 	/bin/rm -f $(DESTDIR)$(BINDIR)/mhgui
 	/bin/rm -rf $(DESTDIR)$(APPSHAREDIR)
 	/bin/rm -f $(DESTDIR)$(MAN1DIR)/congruity.1
+	/bin/rm -f $(DESTDIR)$(MAN1DIR)/mhgui.1
 	/bin/rm -f $(DESTDIR)$(DESKTOPDIR)/congruity.desktop
+	/bin/rm -f $(DESTDIR)$(DESKTOPDIR)/mhgui.desktop
 ifeq ($(RUN_UPDATE_DESKTOP_DB),1)
 	$(UPDATE_DESKTOP_DB) > /dev/null 2>&1 || :
 endif

=== debian/changelog ===
congruity (18-4) unstable; urgency=medium

  * Add upstream mhgui patch for SupportedCapabilities change in web service

 -- Scott Talbert <swt@techie.net>  Mon, 11 Apr 2016 21:01:29 -0400

congruity (18-3) unstable; urgency=medium

  * debian/patches/website-updates.patch: update mhmanager to account for
    updates in the MyHarmony website.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Wed, 04 Nov 2015 09:18:21 -0600

congruity (18-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Add patch from upstream for login issues (Closes: #775175)
  * Add Scott Talbert as a co-maintainer
  * Bump standards version to 3.9.6

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Tue, 14 Jul 2015 00:54:41 -0400

congruity (18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for wxPython 3.0 (Closes: #759045):
    - New patch: wxpython3.0.patch
  * Fix typo in mime-type file (Closes: #747396)

 -- Olly Betts <olly@survex.com>  Sat, 13 Sep 2014 21:07:31 +0000

congruity (18-1) unstable; urgency=medium

  * New upstream release (Closes: #743050)
  * debian/control: bump Standards-Version to 3.9.5.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Wed, 23 Apr 2014 20:31:29 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
+Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://sourceforge.net/projects/congruity/
 
 Package: congruity
@@ -11,7 +12,7 @@
 Depends: python, python (>= 2.5) | python-ctypes,
 	python-libconcord (>= 1.0),
 	python-suds,
-	python-wxgtk2.8,
+	python-wxgtk3.0,
 	shared-mime-info,
 	${misc:Depends}
 Description: graphical utility to configure Logitech Harmony remotes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PREFIX=/usr

%:
	dh $@

## congruity 20

=== debian/changelog ===
congruity (20-1) unstable; urgency=medium

  * New upstream release
  * debian/patches:
    - Remove all patches - have been incorporated upstream
  * debian/control:
    - Switch to Python 3 & wxPython 4
    - Update standards version to 4.1.5
  * debian/rules:
    - Switch to build with pybuild
  * debian/copyright:
    - Update to reflect new upstream file locations

 -- Scott Talbert <swt@techie.net>  Fri, 06 Jul 2018 00:29:45 -0400

congruity (18-5) unstable; urgency=medium

  * debian/control:
    - Indicate that a VCS is now being used
    - Update standards version to 4.1.4
    - Use https in URL
  * debian/copyright:
    - Use https in URLs
  * debian/watch:
    - Use https in URLs

 -- Scott Talbert <swt@techie.net>  Tue, 08 May 2018 22:44:02 -0400

=== debian/control ===
Source: congruity
Section: utils
Priority: optional
Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
Uploaders: Scott Talbert <swt@techie.net>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.1.5
Homepage: https://sourceforge.net/projects/congruity/
Vcs-Browser: https://salsa.debian.org/debian/congruity
Vcs-Git: https://salsa.debian.org/debian/congruity.git

Package: congruity
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-libconcord,
         python3-suds,
         python3-wxgtk4.0,
         shared-mime-info,
Description: graphical utility to configure Logitech Harmony remotes
 Congruity is a graphical utility written in Python that handles writing
 the configuration of a Harmony Remote, using the concordance framework.
 .
 It provides a concise way to quickly configure a Logitech Harmony
 in a clean graphical interface, through the loading of EZHex files.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://sf.net/congruity/congruity-(.*)\.tar\.bz2

## congruity 21

=== debian/changelog ===
congruity (21-1) unstable; urgency=medium

  * Update to new upstream release 21
  * Update Standards-Version to 4.6.1 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Tue, 16 Aug 2022 15:50:00 -0400

congruity (20-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.

  [ Scott Talbert ]
  * Remove quoting in mailcap entries (Closes: #985593)
  * Update Standards-Version to 4.6.0 (no changes needed)
  * Update debhelper-compat from 12 to 13
  * Rules-Requires-Root: no
  * Update d/watch version to 4

 -- Scott Talbert <swt@techie.net>  Fri, 24 Sep 2021 10:44:50 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Uploaders: Scott Talbert <swt@techie.net>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.1.5
+Standards-Version: 4.6.1
 Homepage: https://sourceforge.net/projects/congruity/
 Vcs-Browser: https://salsa.debian.org/debian/congruity
 Vcs-Git: https://salsa.debian.org/debian/congruity.git
+Rules-Requires-Root: no
 
 Package: congruity
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=congruity

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
https://sf.net/congruity/congruity-(.*)\.tar\.bz2
